Remove a required document type from a control
curl --request DELETE \
--url https://api.trycomp.ai/v1/controls/{id}/document-types/{formType} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/controls/{id}/document-types/{formType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/controls/{id}/document-types/{formType}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)Controls
Remove a required document type from a control | Comp AI API
Remove a required document type from a control in Comp AI. Manage controls, map them to policies, tasks, framework requirements, and evidence document.
DELETE
/
v1
/
controls
/
{id}
/
document-types
/
{formType}
Remove a required document type from a control
curl --request DELETE \
--url https://api.trycomp.ai/v1/controls/{id}/document-types/{formType} \
--header 'X-API-Key: <api-key>'const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/controls/{id}/document-types/{formType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/controls/{id}/document-types/{formType}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)Authorizations
API key for authentication
Path Parameters
Unique control identifier
Example:
"ctl_abc123def456"
Evidence form type to unlink from the control
Available options:
board_meeting, it_leadership_meeting, risk_committee_meeting, meeting, access_request, whistleblower_report, penetration_test, rbac_matrix, infrastructure_inventory, employee_performance_evaluation, network_diagram, tabletop_exercise, account_types Query Parameters
Scope to one framework instance. Omit to use every instance the control belongs to.
Response
200 - undefined
Was this page helpful?

